Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066771 - client cert is not verified in native APR connector even if verify-client="require"
Summary: client cert is not verified in native APR connector even if verify-client="re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER10
: EAP 6.3.0
Assignee: Rémy Maucherat
QA Contact: Radim Hatlapatka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 05:07 UTC by Hisanobu Okuda
Modified: 2018-12-04 17:34 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-31 09:03:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Hisanobu Okuda 2014-02-19 05:07:03 UTC
Description of problem:
I configured native APR connector as follow:-

        <subsystem xmlns="urn:jboss:domain:web:1.5" default-virtual-server="default-host" native="true">
            <connector name="http" protocol="HTTP/1.1" scheme="http" socket-binding="http"/>
            <connector name="https" protocol="org.apache.coyote.http11.Http11AprProtocol" scheme="https" socket-binding="https" secure="true">
                <ssl name="https" password="password" certificate-key-file="/opt/eap620/standalone/configuration/server.key" certificate-file="/opt/eap620/standalone/configuration/server.crt" cipher-suite="ALL:SSLv3:TLSv1:!SSLv2:!aNULL:!ADH:!eNULL:!LOW:!EXP:RC4+RSA:+HIGH:+MEDIUM" verify-client="optional" ca-certificate-file="/export/hokuda/openssl/RootCA/cacert.pem"/>

Even though verify-client="require", a client certificate is not verified and accepted.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Radim Hatlapatka 2014-03-10 12:56:01 UTC
This is similar issue as https://bugzilla.redhat.com/show_bug.cgi?id=1072310

Comment 2 Martin Velas 2014-07-31 09:03:10 UTC
This issue reported against older version, cannot be reproduced against latest 6.3.0.ER10 bits, which means it was fixed earlier. Therefore, we are closing this bug. Thank you for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.